TSInstallDirGet(3ts)

NAME
TSInstallDirGet, TSConfigDirGet, TSPluginDirGet - Return Traffic Server installation directories

LIBRARY
Apache Traffic Server plugin API

SYNOPSIS
#include <ts/ts.h>
const char*
TSInstallDirGet(void);
const char*
TSConfigDirGet(void);
const char*
TSPluginDirGet(void);

DESCRIPTION
TSInstallDirGet() returns the path to the root of the Traffic Server installation. TSConfigDirGet() and TSPluginDirGet() return the complete, absolute path to the configuration directory and the plugin installation directory respectively.

RETURN VALUES
These functions all return a NUL-terminated string that must not be modified or freed.

EXAMPLES
To load a file that is located in the Traffic Server configuration directory:

#include <ts/ts.h>
#include <stdio.h>
char * path;
asprintf(&path, "%s/example.conf", TSConfigDirGet());

SEE ALSO
TSAPI(3ts)